aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-untar-and-run
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-untar-and-run')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-untar-and-run24
1 files changed, 24 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-untar-and-run b/framework/src/onos/tools/test/bin/onos-untar-and-run
new file mode 100755
index 00000000..f6e8f9b2
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-untar-and-run
@@ -0,0 +1,24 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Untars ONOS tar.gz on the remote machine and runs ONOS.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+node=${1:-$OCI}
+remote=$ONOS_USER@$node
+
+ssh $remote "
+ [ -d $ONOS_INSTALL_DIR/bin ] && echo \"ONOS is already installed\" && exit 1
+ cd /tmp && rm -fr /tmp/$ONOS_BITS
+ tar zxf /tmp/$ONOS_BITS.tar.gz
+
+ cd /tmp/$ONOS_BITS
+ export ONOS_NIC=$ONOS_NIC
+ bin/onos-service server 1>/tmp/onos.out 2>/tmp/onos.err &
+
+ # Setup a few symlinks to allow other tools to work
+ sudo ln -s /tmp/$ONOS_BITS $ONOS_INSTALL_DIR
+ sudo ln -s /tmp/$ONOS_BITS/$KARAF_DIST/data/log $ONOS_INSTALL_DIR/log
+"